Bug 663953 - RHEL5 host with RHEL5 guest virtualized using vmware use FGE even with virtualization/virt. platform enabled
RHEL5 host with RHEL5 guest virtualized using vmware use FGE even with virtua...
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Virtualization (Show other bugs)
540
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Milan Zázrivec
Red Hat Satellite QA List
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-12-17 08:47 EST by Martin Minar
Modified: 2016-07-03 20:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-05 09:59:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Minar 2010-12-17 08:47:30 EST
Description of problem:
When registering RHEL5 guests virtualized using vmware flex guest entitlements are used even when virtualization/virt. platform entitlement is enabled.

Version-Release number of selected component (if applicable):
Satellite 5.4
RHEL5 host with vmware
RHEL5 guest

How reproducible:
Always

Steps to Reproduce:
1. Register vmware guest into satelite
2. Guest is recognized as virtual guest
3. Check software channel entitlements
  
Actual results:
Guest is using FGE even tho it's host have virtualization/virt. platform enabled.

Expected results:
When host have virtualization/virt. platform enabled - guests are for free (in case of virtualization it's up to 4 guests)

Additional info:
Comment 2 Daniel Riek 2010-12-20 15:55:19 EST
I think, that this is the expected behaviour. The virtualization and virtualization_host entitlements are supposed to *only* work with RHEL virtualization (RHEL 5 Xen & KVM, RHEL 6 KVM). VMWare guests should use flex guests.
Comment 4 Justin Sherrill 2011-01-05 09:52:35 EST
Martin,

What Daniel says is correct.  We don't recognize vmware hosts, so giving a virt or virt_platform entitlement won't have any effect.  VMware guests should ALWAYS use flex entitlement or regular physical entitlement.  They cannot get their entitlements for 'free' like KVM and Xen guests can.  The Virtualization and Virt_platform entitlements are only for KVM and Xen hosts.

I'll see if i can find some documentation.

-Justin

Note You need to log in before you can comment on or make changes to this bug.